Thumbs up Couldn't update stock 2.3.3 to 2.3.4 - Solved

I have been trying this on and off all day long without success until just now.

The clue is that you have to be installing the update to 2.3.4 on top of an absolutely stock 2.3.3 - with nothing at all changed. If you have any kind of modification of 2.3.3 you will get the error during the update that is being widely reported.

In my case, I had in fact modified my 2.3.3 by replacing the stock bootanimation file with something a bit more exciting. That, it would appear, is sufficient for the update's verification script to fail.

So, I used the stock 2.3.3 zip file from XDA here --> http://forum.xda-developers.com/show...45&postcount=4
Then I installed the 2.3.4 zip linked to in the original post on this thread.
Job done.

I hope this helps.

Oh, and I didn't have to wipe between my 2.3.3 and the stock 2.3.3. Your mileage may vary

Lesson learned. Hope this helps.